
Redmine - Defect #2397

Not all activities are shown on activity page

2008-12-25 07:35 - Dmitry Kochin

Status: Closed Start date: 2008-12-25

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

Only part of activities are shown on the activity page.

For example, if activity time range is 30 days then it shows, say, 20 activities since month ago. More recent activities (21st, 22nd and

so on) aren't listed.

If I change time range to 3 days, it shows recent activities.

See also http://www.redmine.org/boards/2/topics/show/3400

Related issues:

Related to Redmine - Defect #2347: Only first 10 revisions shown on Activity ... Closed 2008-12-16

History

#1 - 2008-12-27 17:41 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8

- Resolution set to Fixed

This bug will be fixed in 0.8 final (see r2114).

#2 - 2008-12-30 12:38 - Jean-Philippe Lang

- Status changed from Resolved to Closed

#3 - 2009-08-24 17:02 - Brad Langhorst

- File Picture_2.png added

- File Picture_4.png added

- Status changed from Closed to Reopened

I'm reopening this bug since I see the same behavior in 0.8.4 .

I do see the recent revisions on the repository page.

New news events do show upon the activity page.

This is not the FAQ re: activity not refreshing.

It seems that only 1 day of feature/revision events are displayed. Maybe the first day with activity in the specified range for features and again for

revisions.

I initially thought this was some kind of group by bug - but from a cursory inspection of the source this calculation of events to show is all done in

memory.

Maybe it's interesting that I'm using postgresql 8.4 and git

eg: for 7.26.09 to 8.24.09

only shows features/revisions from 7.28.09 (see screen grabs)

looking back in git there was no activity on 7.26 or 7.27 but there was on 7.30 and 8.3

#4 - 2009-08-27 07:47 - Anonymous

Please don't re-open bugs of completed milestones.  This is now marked the 0.8 milestone as open again.  It would be better to submit a new issue
http://www.redmine.org/boards/2/topics/show/3400
https://www.redmine.org/projects/redmine/repository/svn/revisions/2114


as 0.8 is already released.

Cheers

Russell

#5 - 2009-08-27 22:21 - Mischa The Evil

- Status changed from Reopened to Closed

Russell Hind wrote:

Please don't re-open bugs of completed milestones.

 Closed the issue for the reason quoted from Russell. Please open a new issue for this and relate it to this issue (or ask someone to do that).

Mischa.
